org.apache.tinkerpop.gremlin.process.traversal.lambda

## Class TokenTraversal<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.lambda.TokenTraversal<S,E>

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, Iterator<E>, Traversal<S,E>, Traversal.Admin<S,E>

      public final class TokenTraversal<S,E>
      extends AbstractLambdaTraversal<S,E>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Admin<S,E>, Traversal.Exceptions, Traversal.Symbols`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `bypassTraversal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenTraversal(T t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStart(Traverser.Admin<S> start)` Add a single `Traverser.Admin` object to the head of the traversal.
    `boolean` | `equals(Object other)`
    `T` | `getToken()`
    `int` | `hashCode()`
    `E` | `next()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.lambda.AbstractLambdaTraversal

      `addStep, applyStrategies, clone, getBypassTraversal, getBytecode, getGraph, getParent, getSideEffects, getSteps, getStrategies, getTraverserGenerator, getTraverserRequirements, hasNext, isLocked, isRoot, nextTraverser, removeStep, reset, setBypassTraversal, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStarts, addStep, equals, getEndStep, getStartStep, getTraversalSource, getTraverserSetSupplier, removeStep`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `asAdmin, close, explain, fill, forEachRemaining, forEachRemaining, iterate, next, none, notifyClose, profile, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `remove`

- - ### Constructor Detail

    - #### TokenTraversal

          public TokenTraversal(T t)

  - ### Method Detail

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`
      Overrides:
        `next` in class `AbstractLambdaTraversal<S,E>`

    - #### addStart

          public void addStart(Traverser.Admin<S> start)

      Description copied from interface: `Traversal.Admin`
      Add a single `Traverser.Admin` object to the head of the traversal. Users should typically not need to call this method. For dynamic inject of data, they should use `InjectStep`.
      Specified by:
        `addStart` in interface `Traversal.Admin<S,E>`
      Overrides:
        `addStart` in class `AbstractLambdaTraversal<S,E>`
      Parameters:
        `start` - a traverser to add to the traversal

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getToken

          public T getToken()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractLambdaTraversal<S,E>`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `AbstractLambdaTraversal<S,E>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.